Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.richfaces.resource
Class DefaultResourceCodec

    java.lang.Object
      org.richfaces.resource.DefaultResourceCodec

All Implemented Interfaces:
  org.richfaces.resource.ResourceCodec

    public final class DefaultResourceCodec

extends java.lang.Object
implements org.richfaces.resource.ResourceCodec

Constructor Summary
`DefaultResourceCodec()`

Method Summary
`java.lang.String` | `decodeLibraryName(javax.faces.context.FacesContext context, java.lang.String requestPath)`
`java.lang.Object` | `decodeResourceData(javax.faces.context.FacesContext context, java.lang.String requestPath)`
`java.lang.String` | `decodeResourceName(javax.faces.context.FacesContext context, java.lang.String requestPath)`
`java.lang.String` | `decodeResourceVersion(javax.faces.context.FacesContext context, java.lang.String requestPath)`
`java.lang.String` | `encodeJSFMapping(javax.faces.context.FacesContext context, java.lang.String resourcePath)`
`java.lang.String` | `encodeResourceRequestPath(javax.faces.context.FacesContext context, java.lang.String libraryName, java.lang.String resourceName, java.lang.Object resourceData, java.lang.String resourceVersion)`
`java.lang.String` | `getResourceKey(javax.faces.context.FacesContext context, java.lang.String requestPath)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DefaultResourceCodec

    public DefaultResourceCodec()

Method Detail

### decodeResourceName

    public java.lang.String decodeResourceName(javax.faces.context.FacesContext context,
                                               java.lang.String requestPath)

  Specified by:
    `decodeResourceName` in interface `org.richfaces.resource.ResourceCodec`

### decodeLibraryName

    public java.lang.String decodeLibraryName(javax.faces.context.FacesContext context,
                                              java.lang.String requestPath)

  Specified by:
    `decodeLibraryName` in interface `org.richfaces.resource.ResourceCodec`

### decodeResourceData

    public java.lang.Object decodeResourceData(javax.faces.context.FacesContext context,
                                               java.lang.String requestPath)

  Specified by:
    `decodeResourceData` in interface `org.richfaces.resource.ResourceCodec`

### decodeResourceVersion

    public java.lang.String decodeResourceVersion(javax.faces.context.FacesContext context,
                                                  java.lang.String requestPath)

  Specified by:
    `decodeResourceVersion` in interface `org.richfaces.resource.ResourceCodec`

### encodeResourceRequestPath

    public java.lang.String encodeResourceRequestPath(javax.faces.context.FacesContext context,
                                                      java.lang.String libraryName,
                                                      java.lang.String resourceName,
                                                      java.lang.Object resourceData,
                                                      java.lang.String resourceVersion)

  Specified by:
    `encodeResourceRequestPath` in interface `org.richfaces.resource.ResourceCodec`

### encodeJSFMapping

    public java.lang.String encodeJSFMapping(javax.faces.context.FacesContext context,
                                             java.lang.String resourcePath)

  Specified by:
    `encodeJSFMapping` in interface `org.richfaces.resource.ResourceCodec`

### getResourceKey

    public java.lang.String getResourceKey(javax.faces.context.FacesContext context,
                                           java.lang.String requestPath)

  Specified by:
    `getResourceKey` in interface `org.richfaces.resource.ResourceCodec`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010 JBoss, a division of Red Hat, Inc.. All Rights Reserved.